Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.adapters
Class SimpleNamedBindingAnnotationTestCase.FieldInjector<T>

    java.lang.Object
      org.picocontainer.adapters.AbstractAdapter<T>
          org.picocontainer.injectors.AbstractInjector<T>
              org.picocontainer.adapters.SimpleNamedBindingAnnotationTestCase.FieldInjector<T>

All Implemented Interfaces:
  Serializable, org.picocontainer.ComponentAdapter<T>, org.picocontainer.ComponentMonitorStrategy, org.picocontainer.Injector<T>, org.picocontainer.LifecycleStrategy

Enclosing class:
  SimpleNamedBindingAnnotationTestCase

    public static class SimpleNamedBindingAnnotationTestCase.FieldInjector<T>

extends org.picocontainer.injectors.AbstractInjector<T>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.picocontainer.injectors.AbstractInjector
`org.picocontainer.injectors.AbstractInjector.AmbiguousComponentResolutionException, org.picocontainer.injectors.AbstractInjector.CyclicDependencyException, org.picocontainer.injectors.AbstractInjector.NotConcreteRegistrationException, org.picocontainer.injectors.AbstractInjector.UnsatisfiableDependenciesException`

Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter
`org.picocontainer.ComponentAdapter.NOTHING`

Field Summary

Fields inherited from class org.picocontainer.injectors.AbstractInjector
`lifecycleStrategy, parameters, verifyingGuard`

Constructor Summary
`protected` | `SimpleNamedBindingAnnotationTestCase.FieldInjector(Object componentKey, Class componentImplementation, org.picocontainer.Parameter[] parameters, org.picocontainer.ComponentMonitor monitor, org.picocontainer.LifecycleStrategy lifecycleStrategy, boolean useNames)`

Method Summary
`T` | `getComponentInstance(org.picocontainer.PicoContainer container, Type into)`
`String` | `getDescriptor()`
`void` | `verify(org.picocontainer.PicoContainer container)`

Methods inherited from class org.picocontainer.injectors.AbstractInjector
`accept, box, caughtIllegalAccessException, caughtIllegalAccessException, caughtInstantiationException, caughtInvocationTargetException, createDefaultParameters, decorateComponentInstance, dispose, getComponentInstance, hasLifecycle, newInstance, start, stop, useNames`

Methods inherited from class org.picocontainer.adapters.AbstractAdapter
`changeMonitor, checkTypeCompatibility, currentMonitor, findAdapterOfType, getComponentImplementation, getComponentKey, getDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.picocontainer.ComponentAdapter
`findAdapterOfType, getComponentImplementation, getComponentKey, getDelegate`

Constructor Detail

### SimpleNamedBindingAnnotationTestCase.FieldInjector

    protected SimpleNamedBindingAnnotationTestCase.FieldInjector(Object componentKey,
                                                                 Class componentImplementation,
                                                                 org.picocontainer.Parameter[] parameters,
                                                                 org.picocontainer.ComponentMonitor monitor,
                                                                 org.picocontainer.LifecycleStrategy lifecycleStrategy,
                                                                 boolean useNames)

Method Detail

### verify

    public void verify(org.picocontainer.PicoContainer container)
                throws org.picocontainer.PicoCompositionException

  Specified by:
    `verify` in interface `org.picocontainer.ComponentAdapter<T>`
  Overrides:
    `verify` in class `org.picocontainer.injectors.AbstractInjector<T>`
  Throws:
    `org.picocontainer.PicoCompositionException`

### getComponentInstance

    public T getComponentInstance(org.picocontainer.PicoContainer container,
                                  Type into)
                           throws org.picocontainer.PicoCompositionException

  Specified by:
    `getComponentInstance` in interface `org.picocontainer.ComponentAdapter<T>`
  Specified by:
    `getComponentInstance` in class `org.picocontainer.injectors.AbstractInjector<T>`
  Throws:
    `org.picocontainer.PicoCompositionException`

### getDescriptor

    public String getDescriptor()

  Specified by:
    `getDescriptor` in interface `org.picocontainer.ComponentAdapter<T>`
  Overrides:
    `getDescriptor` in class `org.picocontainer.injectors.AbstractInjector<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.